API Reference
GET Metadata
Retrieve site metadata and reporting settings.
GET Metadata
GET https://api.faurya.com/api/v1/analytics/metadata
Retrieve basic site metadata and reporting settings for the site attached to your API key. Requires Bearer Token authentication.
Response
200 OK: Returns domain, timezone, site name, KPI, and currency.401 Unauthorized: Missing or invalid API key.404 Not Found: Site not found.
Example request
const response = await fetch(
"https://api.faurya.com/api/v1/analytics/metadata",
{
headers: {
Authorization: `Bearer ${process.env.FAURYA_API_KEY}`,
},
},
);
const result = await response.json();Success response
{
"status": "success",
"data": [
{
"domain": "example.com",
"timezone": "America/Los_Angeles",
"name": "Example",
"kpi": "signup",
"currency": "USD"
}
]
}